Skip to content
POST/posts

Create a post

Create a new feedback post. The post is created on behalf of the authenticated API key holder.

Request body

FieldTypeDescription
titlerequiredstringPost title
contentrequiredstringPost content (optional)
boardIdrequiredstringBoard ID
statusIdstringInitial status ID
tagIdsstring[]Tag IDs to assign

Response

Post created

FieldTypeDescription
idrequiredstringTypeID - a type-prefixed UUID
titlerequiredstring
contentrequiredstring
voteCountrequirednumber
boardIdrequiredstringTypeID - a type-prefixed UUID
statusIdrequiredstring | null
authorNamerequiredstring | null
createdAtrequiredstringISO 8601 timestamp
updatedAtrequiredstringISO 8601 timestamp

Errors

400Validation error
401Unauthorized

Example request

curl \
  -X POST \
  "https://feedback.quackback.io/api/v1/posts" \
  -H "Authorization: Bearer qb_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Add dark mode support",
  "content": "It would be great to have...",
  "boardId": "board_01h455vb4pex5vsknk084sn02q",
  "statusId": "post_01h455vb4pex5vsknk084sn02q",
  "tagIds": []
}'